      Subroutine MkBend(mcangs, ssbond, seqlen)                         MKBE001
c                                                                       MKBE002
c     routine to determine which main chain residues are bent at over   MKBE003
c     the requisite angle                                               MKBE004
c                                                                       MKBE005
      INCLUDE 'sstruc.par'                                              MKBE006
                                                                        MKBE007
      Real      mcangs(nmnang,maxres)                                   MKBE008
      Character Ssbond(nstruc,maxres)*1                                 MKBE009
      Integer   seqlen                                                  MKBE010
c                                                                       MKBE011
      real      bendsz                                                  MKBE012
      parameter (bendsz = 70.0)                                         MKBE013
      Integer   nxres                                                   MKBE014
      logical   xney                                                    MKBE015
                                                                        MKBE016
      do 1000, nxres = 1, seqlen                                        MKBE017
      if (mcangs(kappa,nxres) .gt. bendsz .and.                         MKBE018
     &   xney(mcangs(kappa,nxres), null)) ssbond(bend,nxres) = bendch   MKBE019
 1000 continue                                                          MKBE020
      END                                                               MKBE021
